phing-tasks-ext-simpletest

# Class: SimpleTestTask Source Location: /tasks/ext/simpletest/SimpleTestTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --SimpleTestTask
Runs SimpleTest tests. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: SimpleTestTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods addFileSet addFormatter getDebug init main setDebug setErrorproperty setFailureproperty setHaltonerror setHaltonfailure setPrintsummary
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 35] Runs SimpleTest tests. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: SimpleTestTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
since: | 2.2.0
[ Top ] ### Class Methods ### method addFileSet [line 117]
`void addFileSet( $fileset)`
Add a new fileset containing the XML results to aggregate #### Parameters:
FileSet | $fileset | the new fileset containing XML results.
[ Top ] ### method addFormatter [line 107]
`void addFormatter( SimpleTestFormatterElement $fe)`
Add a new formatter to all tests of this task. #### Parameters:
SimpleTestFormatterElement | $fe | formatter element
[ Top ] ### method getDebug [line 97]
`void getDebug( )`
#### Tags:
access: | public
[ Top ] ### method init [line 52]
`void init( )`
Initialize Task. This method includes any necessary SimpleTest libraries and triggers appropriate error if they cannot be found. This is not done in header because we may want this class to be loaded w/o triggering an error. Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 156]
`void main( )`
The main entry point #### Tags:
throws: | BuildException
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setDebug [line 92]
`void setDebug( $debug)`
#### Tags:
access: | public
#### Parameters:
| $debug |
[ Top ] ### method setErrorproperty [line 72]
`void setErrorproperty( $value)`
#### Parameters:
| $value |
[ Top ] ### method setFailureproperty [line 67]
`void setFailureproperty( $value)`
#### Parameters:
| $value |
[ Top ] ### method setHaltonerror [line 77]
`void setHaltonerror( $value)`
#### Parameters:
| $value |
[ Top ] ### method setHaltonfailure [line 82]
`void setHaltonfailure( $value)`
#### Parameters:
| $value |
[ Top ] ### method setPrintsummary [line 87]
`void setPrintsummary( $printsummary)`
#### Parameters:
| $printsummary |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:01 +0200 by phpDocumentor 1.4.3